package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageSendFollowData;
import com.ruoyi.cai.notice.data.child.MessageSendGiftWindowsAmountData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageSendGiftWindowsAmountNew extends MessageBaseData{

    private MessageSendGiftWindowsAmountData data;

    public MessageSendGiftWindowsAmountNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageSendGiftWindowsAmountNew() {
    }

}
